#ifndef MSP_VR_HEADTRACKINGCAMERA_H_
#define MSP_VR_HEADTRACKINGCAMERA_H_

#include <msp/gl/camera.h>

namespace Msp {
namespace VR {

class HeadTrackingCamera: public Msp::GL::Camera
{
protected:
	const GL::Camera &base_camera;

	HeadTrackingCamera(const GL::Camera &);
public:
	virtual ~HeadTrackingCamera() { }

	virtual void reset_tracking() { }
	virtual void update() = 0;
protected:
	void update_from_matrix(const GL::Matrix &);
};

} // namespace VR
} // namespace Msp

#endif
