#ifndef MSP_VR_OPENVRCAMERA_H_
#define MSP_VR_OPENVRCAMERA_H_

#include <msp/vr/headtrackingcamera.h>

namespace Msp {
namespace VR {

class OpenVRDevice;

class OpenVRCamera: public HeadTrackingCamera
{
private:
	const OpenVRDevice &device;

public:
	OpenVRCamera(const OpenVRDevice &, const GL::Camera &);

	virtual void reset_tracking();
	virtual void update();
};

} // namespace VR
} // namespace Msp

#endif
