#ifndef MSP_VR_OPENVRCOMBINER_H_
#define MSP_VR_OPENVRCOMBINER_H_

#include <msp/vr/stereocombiner.h>

namespace Msp {
namespace VR {

class OpenVRDevice;

class OpenVRCombiner: public StereoCombiner
{
private:
	struct Private;

	OpenVRDevice &device;

public:
	OpenVRCombiner(OpenVRDevice &);

	virtual void prepare() const;
	virtual void render(const GL::Texture2D &, const GL::Texture2D &) const;
};

} // namespace VR
} // namespace Msp

#endif
